Build #1 for alure-0.1

[all reports]

Package alure-0.1
Install DependencyFailed OpenAL-1.4.0.2
Docs NotTried
Tests NotTried
Time submitted unknown
Compiler ghc-7.6.3
OS linux
Arch x86_64
Dependencies base-4.6.0.1, OpenAL-1.4.0.2
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring ObjectName-1.0.0.0...
Building ObjectName-1.0.0.0...
Preprocessing library ObjectName-1.0.0.0...
[1 of 1] Compiling Data.ObjectName  ( src/Data/ObjectName.hs, dist/build/Data/ObjectName.o )
In-place registering ObjectName-1.0.0.0...
Running Haddock for ObjectName-1.0.0.0...
Running hscolour for ObjectName-1.0.0.0...
Preprocessing library ObjectName-1.0.0.0...
Preprocessing library ObjectName-1.0.0.0...
Warning: The documentation for the following packages are not installed. No
links will be generated to these packages: rts-1.0
Haddock coverage:
 100% (  2 /  2) in 'Data.ObjectName'
Documentation created: dist/doc/html/ObjectName/index.html
Installing library in
/srv/hackage/var/build/tmp-install/lib/ObjectName-1.0.0.0/ghc-7.6.3
Registering ObjectName-1.0.0.0...
Installed ObjectName-1.0.0.0
Configuring StateVar-1.0.0.0...
Building StateVar-1.0.0.0...
Preprocessing library StateVar-1.0.0.0...
[1 of 1] Compiling Data.StateVar    ( src/Data/StateVar.hs, dist/build/Data/StateVar.o )
In-place registering StateVar-1.0.0.0...
Running Haddock for StateVar-1.0.0.0...
Running hscolour for StateVar-1.0.0.0...
Preprocessing library StateVar-1.0.0.0...
Preprocessing library StateVar-1.0.0.0...
Warning: The documentation for the following packages are not installed. No
links will be generated to these packages: rts-1.0
Haddock coverage:
 100% ( 16 / 16) in 'Data.StateVar'
Documentation created: dist/doc/html/StateVar/index.html
Installing library in
/srv/hackage/var/build/tmp-install/lib/StateVar-1.0.0.0/ghc-7.6.3
Registering StateVar-1.0.0.0...
Installed StateVar-1.0.0.0
Configuring Tensor-1.0.0.1...
Building Tensor-1.0.0.1...
Preprocessing library Tensor-1.0.0.1...
[1 of 1] Compiling Data.Tensor      ( src/Data/Tensor.hs, dist/build/Data/Tensor.o )

src/Data/Tensor.hs:57:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

src/Data/Tensor.hs:94:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

src/Data/Tensor.hs:131:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

src/Data/Tensor.hs:168:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

src/Data/Tensor.hs:205:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

src/Data/Tensor.hs:242:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

src/Data/Tensor.hs:279:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

src/Data/Tensor.hs:316:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"
In-place registering Tensor-1.0.0.1...
Running Haddock for Tensor-1.0.0.1...
Running hscolour for Tensor-1.0.0.1...
Preprocessing library Tensor-1.0.0.1...
Preprocessing library Tensor-1.0.0.1...
Warning: The documentation for the following packages are not installed. No
links will be generated to these packages: rts-1.0

dist/build/tmp-8021/src/Data/Tensor.hs:57:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

dist/build/tmp-8021/src/Data/Tensor.hs:94:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

dist/build/tmp-8021/src/Data/Tensor.hs:131:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

dist/build/tmp-8021/src/Data/Tensor.hs:168:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

dist/build/tmp-8021/src/Data/Tensor.hs:205:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

dist/build/tmp-8021/src/Data/Tensor.hs:242:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

dist/build/tmp-8021/src/Data/Tensor.hs:279:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"

dist/build/tmp-8021/src/Data/Tensor.hs:316:28: Warning:
    In the use of `mkTyCon' (imported from Data.Typeable):
    Deprecated: "either derive Typeable, or use mkTyCon3 instead"
Haddock coverage:
 100% (  9 /  9) in 'Data.Tensor'
Documentation created: dist/doc/html/Tensor/index.html
Installing library in
/srv/hackage/var/build/tmp-install/lib/Tensor-1.0.0.1/ghc-7.6.3
Registering Tensor-1.0.0.1...
Installed Tensor-1.0.0.1
Configuring OpenAL-1.4.0.2...
configure: WARNING: unrecognized options: --with-gcc
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu
checking target system type... x86_64-unknown-linux-gnu
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for library containing alGenSources... no
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking AL/al.h usability... no
checking AL/al.h presence... no
checking for AL/al.h... no
checking OpenAL/al.h usability... no
checking OpenAL/al.h presence... no
checking for OpenAL/al.h... no
checking AL/alc.h usability... no
checking AL/alc.h presence... no
checking for AL/alc.h... no
checking OpenAL/alc.h usability... no
checking OpenAL/alc.h presence... no
checking for OpenAL/alc.h... no
configure: error: in `/tmp/OpenAL-1.4.0.2-8021/OpenAL-1.4.0.2':
configure: error: no OpenAL headers found, so this package cannot be built
See `config.log' for more details
Failed to install OpenAL-1.4.0.2
cabal: Error: some packages failed to install:
OpenAL-1.4.0.2 failed during the configure step. The exception was:
ExitFailure 1
alure-0.1 depends on OpenAL-1.4.0.2 which failed to install.